Name:		git-taskrepo
Version:	0
Release:	1.git.7.7182972%{?dist}
Summary:	Creates a taskrepo inside of an existing git repo.

Group:		Development/Libraries
License:	GPLv2+
URL:		http://beaker-project.org/git-taskrepo
Source0:	git-taskrepo-git-7.7182972.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python-setuptools
Requires:	GitPython >= 1.0.1

%if 0%{?rhel}%{?fedora} <= 6
BuildRequires:  python-ordereddict
BuildRequires:  python-argparse
Requires:       python-ordereddict
Requires:       python-argparse
%endif

%description
This creates and maintains a taskrepo inside of an existing git repo.  Allows
you to easily create xml jobs which can be run with the test harness restraint.

%prep
%setup -q -n git-taskrepo-git-7.7182972

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%attr(0755, root, root)%{_bindir}/%{name}
%{python_sitelib}/git_taskrepo*

%changelog
* Wed May 06 2015 Bill Peck <bpeck@redhat.com> 0-1
- new package built with tito
